﻿using System;
using System.Collections.Generic;

class EmployeeInfoSTL
{
    private string name;
    private string position;
    private double salary;

    public enum Err_Status
    {
        Err_Success,
        Err_Failure
    }

    public static int numEmployees = 0;
    public static double runningTotal = 0.0;

    public EmployeeInfoSTL()
    {
        name = "";
        position = "";
        salary = 0.0;
        ++numEmployees;
    }

    public EmployeeInfoSTL(string _name, string _position, double _salary)
    {
        name = _name;
        position = _position;
        salary = _salary;
        ++numEmployees;
        runningTotal += salary;
    }

    public string GetName()
    {
        return name;
    }

    public double GetAverageSalary()
    {
        double retVal = 0.0;
        if (numEmployees > 0)
        {
            retVal = runningTotal / numEmployees;
        }
        return retVal;
    }

    public Err_Status PrintInfo()
    {
        Err_Status retVal = Err_Status.Err_Success;
        if (string.IsNullOrEmpty(name) || string.IsNullOrEmpty(position) || salary <= 0.0 || numEmployees == 0)
        {
            retVal = Err_Status.Err_Failure;
        }
        else
        {
            Console.WriteLine($"{name} earns {salary} per year and has position {position}.");
            Console.WriteLine($"The average salary in this company is {GetAverageSalary()}\n");
        }
        return retVal;
    }
}
